h1 {
    color: #ffa4dc;
    text-align: center;
    padding: 10px;
    font-size: 100px;
}

h2 {
    color: #ffa4dc;
    text-align: center;
    padding: 2px;
    font-size: 50px;
}

nav {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  display: fixed;
  grid-template-columns: 1fr auto;
  background-color: #ffbbee;
  font-size: 30px;
  z-index: 100;
}

header nav a {
  padding: 0.8rem;
  color: #9c1b1b;
}

header nav a:hover {
  padding: 0.8rem;
  color: #370000;
}

#scene {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  perspective: 800px;
}

.card-wrapper {
  width: 100%;
  aspect-ratio: 2.32/4.1;
  opacity: 0;
  transform: translateY(60px);
  transition: all 0.7s ease;
}

.card-wrapper.show {
  opacity: 1;
  transform: translateY(0);
}

@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.card {
  width: 100%;
  height: 100%;
  position: relative;
  transition: transform 1s;
  transform-style: preserve-3d;
  transform-origin: center right;
}

.card-face {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

.card-face img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-back {
  transform: rotateY(180deg);
}

.card.is-flipped {
  transform: translateX(-100%) rotateY(-180deg);
}

.auto-slider {
  overflow: hidden;
  width: 100%;
  background-color: #ffb7e4;
}

.track {
  display: flex;
  width: max-content;
  gap: 100px;
  animation: scroll 20s linear infinite
}

.track img {
  width: 5vh;
  height: 5vh;
  object-fit: cover;
}

.auto-slider:hover .track {
  animation-play-state: paused;
}

.track img {
  transition: transform 0.5s;
}

.track img:hover {
  transform: scale(1.5);
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

.carousel {
  position: relative;
  width: 100%;
  height: 80vh;
  overflow: hidden;
}

.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;

  opacity: 0;
  transition: opacity 2s ease;
}

.slide.active {
  opacity: 1;
}

.auto-slider1 {
  overflow: hidden;
  width: 100%;
  background-color: #ffb7e4;
}

.track1 {
  display: flex;
  width: max-content;
  gap: 100px;
  animation: scroll 20s linear infinite reverse;
}

.track1 img {
  width: 5vh;
  height: 5vh;
  object-fit: cover;
}

.auto-slider1:hover .track1 {
  animation-play-state: paused;
}

.track1 img {
  transition: transform 0.5s;
}

.track1 img:hover {
  transform: scale(1.5);
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}
